<?php
/**
 * Yii Hangman
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2021 Oligalma
 * @license GPL License
 */
 
class HangmanModule extends CWebModule{
    public $defaultController ="Site";
	private $_assetsUrl;
	
    public function init()
    {
        $this->setImport(array(
                'hangman.models.*',
        ));
		
        Yii::app()->setComponents(
        	array(
               'errorHandler' => array(
                    'errorAction' => 'hangman/site/error'
                ),
			)
		);        
    }
	
	public function getAssetsUrl()
	{        
	    if ($this->_assetsUrl === null)
	        $this->_assetsUrl = Yii::app()->assetManager->publish(Yii::getPathOfAlias('hangman.assets'));
		
	    return $this->_assetsUrl;
	}
}
